Credits | Overview | Plotting Styles | Commands | Terminals
--- | --- | --- | --- | ---

## functions

         set palette functions <f1(gray)>, <f2(gray)>, <f3(gray)>

This option is like set palette rgbformulae except that you must provide an actual function for each color component rather than the index of a preset function. The dummy parameter of each function, if any, must be "gray". The function must map gray values in [0,1] to output values also in [0,1].

Examples:

To produce a full color palette use:

          set palette model HSV functions gray, 1, 1

A nice black to gold palette:

          set palette model RGB functions 1.1*gray**0.25, gray**0.75, 0

A gamma-corrected black and white palette

          gamma = 2.2
          map(gray) = gray**(1./gamma)
          set palette model RGB functions map(gray), map(gray), map(gray)